For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Company

Get a company with its delivery addresses, socials, contacts, and attached price-list summaries.

Use this detail as the starting point for a company synchronization or general update.

Requires the companies:read scope.

get
Authorizations
AuthorizationstringRequired

API key sent as a bearer token (mk_live_… / mk_test_…).

Path parameters
companyIdstringRequiredPattern: ^COMP-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Responses
200

Successful response.

application/json
get/v1/companies/{companyId}
GET /v1/companies/{companyId} HTTP/1.1
Host: admin.mimeeqapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "companyId": "COMP-123e4567-e89b-12d3-a456-426614174000",
    "companyNumericId": 1,
    "status": "ACTIVE",
    "companyName": "text",
    "currency": "text",
    "address": {
      "street": "text",
      "city": "text",
      "postcode": "text",
      "country": "text"
    },
    "email": "text",
    "workNumber": "text",
    "accountManagerId": "text",
    "accountManager": "text",
    "tags": [
      "text"
    ],
    "paymentTerms": "text",
    "deliveryAddresses": [
      {
        "id": "text",
        "name": "text",
        "street": "text",
        "postcode": "text",
        "country": "text",
        "companyName": "text",
        "city": "text"
      }
    ],
    "socials": [
      {
        "id": "text",
        "type": "facebook",
        "address": "text"
      }
    ],
    "contacts": [
      {
        "contactId": "text",
        "firstName": "text",
        "lastName": "text"
      }
    ],
    "priceLists": [
      {
        "priceListId": "text",
        "priceListName": "text",
        "status": "text"
      }
    ],
    "createdAt": "text",
    "modifiedAt": "text"
  }
}

Last updated

Was this helpful?